Validate Frontend User Email

Checks if an email address is associated with a BigCommerce customer account and a Company user account. Equivalent Storefront GraphQL API Query: `userEmailCheck`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground). The `isValid` value in the response indicates whether or not the email address is used by an existing customer or Company user. The following values are possible: * `0` — The email address is associated with a Company user account and a corresponding customer account. * `1` — The email address is not associated with a customer account or a Company user account. * `2` — The email address is associated with a customer account, but not a Company user account.

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Path parameters

emailstringRequired

Query parameters

storeHashstringRequired
The unique alphanumeric store hash for the BigCommerce store.
roleenumRequired
The ID of the role assigned to the Company user account as given below. | Value | Code | | --- | --- | | 0 | Admin | | 1 | Senior Buyer | | 2 | Junior Buyer | | 3 | Super Admin | | 4 | Unknown |
Allowed values:
companyIdstringOptional
The unique numeric ID of the Company account.

Response

OK
codedoubleDefaults to 200
dataobject
messagestringDefaults to SUCCESS